import { systemConfiguration as l } from "@das-fed/utils/api-services/modules";
const n = async (o = "AIoT智能物联网管控平台") => {
  let t = localStorage.getItem("browser-title") ?? "";
  if (!t) {
    const i = l.get("/visitor/appearance/with-default", (r) => (r.public = !0, r)), [s, e] = await i().run();
    e != null && e.browserTitle && (t = e.browserTitle);
  }
  document.title = t || o;
};
export {
  n as setBrowseTitle
};
